Your submission was sent successfully! Close

CVE-2020-28024

Published: 4 May 2021

Exim 4 before 4.94.2 allows Buffer Underwrite that may result in unauthenticated remote attackers executing arbitrary commands, because smtp_ungetc was only intended to push back characters, but can actually push back non-character error codes such as EOF.

Priority

Medium

CVSS 3 base score: 9.8

Status

Package Release Status
exim4
Launchpad, Ubuntu, Debian
bionic
Released (4.90.1-1ubuntu1.8)
focal
Released (4.93-13ubuntu1.5)
groovy
Released (4.94-7ubuntu1.2)
hirsute
Released (4.94-15ubuntu1.2)
impish
Released (4.94-15ubuntu1.2)
jammy
Released (4.94-15ubuntu1.2)
precise Does not exist

trusty
Released (4.82-3ubuntu2.4+esm3)
upstream Needs triage

xenial
Released (4.86.2-2ubuntu2.6+esm1)